[Regression] Closing laptop lid should not blank external monitor

Reported by Matthew Lai on 2009-08-20
408
This bug affects 86 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Low
Unassigned
gnome-power
New
High
gnome-power-manager (Ubuntu)
Low
Ubuntu Desktop Bugs
Declined for Karmic by Steve Langasek
Nominated for Lucid by Edward Lee
Nominated for Maverick by Ralph Meijer
Natty
Low
Ubuntu Desktop Bugs

Bug Description

In Power Management Preferences, I noticed that there is no longer a "Do Nothing" option for "When laptop lid is closed". This is very inconvenient since I like to keep the lid closed and use an external monitor. Obviously "suspend", "hibernate", and "shutdown" are bad. "Blank screen" blanks BOTH screens, not just the laptop screen.

I seem to recall a "Do Nothing" option in earlier versions. Either that or the "Blank screen" option only blanked the laptop internal screen.

Thanks!

Vish (vish) wrote :

I cant even find the option for "When laptop lid is closed" !
gpm version 2.27.5-0ubuntu2

tags: added: regression-potential
Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed

Matt and mac, did this appear recently (as in since 2.27.5-0ubuntu1)?
Or did it appear earlier?

On Thu, Aug 20, 2009 at 8:17 AM, mac_v<email address hidden> wrote:
> I cant even find the option for "When laptop lid is closed" !
> gpm version 2.27.5-0ubuntu2
>
> ** Tags added: regression-potential
>
> ** Changed in: gnome-power-manager (Ubuntu)
>       Status: New => Confirmed
>
> --
> [Regression] No "do nothing" for laptop lid closed action
> https://bugs.launchpad.net/bugs/416236
> You received this bug notification because you are subscribed to gnome-
> power-manager in ubuntu.
>
> Status in “gnome-power-manager” package in Ubuntu: Confirmed
>
> Bug description:
> In Power Management Preferences, I noticed that there is no longer a "Do Nothing" option for "When laptop lid is closed". This is very inconvenient since I like to keep the lid closed and use an external monitor. Obviously "suspend", "hibernate", and "shutdown" are bad. "Blank screen" blanks BOTH screens, not just the laptop screen.
>
> I seem to recall a "Do Nothing" option in earlier versions. Either that or the "Blank screen" option only blanked the laptop internal screen.
>
> Thanks!
>

I am on 2.27.5-0ubuntu2.

I am not sure what version was in alpha 3, but I didn't notice it in that version.

Changed in gnome-power-manager (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Vish (vish) wrote :

I now , see the option "Blank Screen" .. but it doesnt work properly ;p [but its another bug]

Peterson Silva (petersonsilva) wrote :

Oh please, 'do nothing' is essential to two monitors setup users! It is definitely a regression =/

Knut (knut-knutix) wrote :

I downloaded the latest ubuntu beta iso file this morning. Before doing an upgrade option was available.
After the upgrade it was gone. Possibly this helps to figure out when exactly the function disappeared.

Troy R. (dsm-iv-tr) wrote :

I accidentally nominated this for fixing in Karmic's release. Oops. I fuzzed out and thought it was asking me to pick the branch it was affecting. My apologies.

Anyway, regarding the bug, I agree that this is a regression. This is functionality that was more or less required for using an external monitor unless your laptop happens to have a Fn-button function for turning off the screen. Even on laptops with such a function, it may send suspend signals to the video hardware, thus putting both the LCD panel and the VGA out into DPMS suspend or off.

As I use my laptop(s) connected to external monitors and with the lid mostly closed (cracked open a bit for airflow), this is a serious issue for me.

Steve Langasek (vorlon) on 2009-10-18
Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Alan S Milnes (deep64blue) wrote :

This should be a high priority as it is a major regression.

Troy R. (dsm-iv-tr) wrote :

There is a potential workaround for this issue.

In GConf (using gconf-editor, for example) set the key

/apps/gnome-power-manager/buttons/lid_ac

to the value 'nothing' without single quotes.

Still, there should be a GUI option for this. The functionality is there and seems to work for me, I don't understand why this would be removed.

erikj (erik-jogi) wrote :

I tried the workaround that Troy R. proposed already some time ago but it didn't help - the option 'Nothing' then also appears as on option under Power Management Preferences but the behaviour is still the same as 'Blank screen' would have been selected.

SKCheng (buymeeking) wrote :

I've just installed 9.10. This option existed in 9.04... It's very inconvenient since I also use a notebook with external monitor.
Now I'm using a workaround solution - "System">"Preference ">"Display"> uncheck "Mirror Display" > Turn off the notebook monitor and leave external monitor turned on. However, the lid still has to be kept unclosed.

I'm using desktop in Chinese. Here is the above desktop terms in Chinese language:
系统 》偏好设定 》显示 》不选 “镜射荧幕“ 》关闭 “手提电脑显示器”

SKCheng (buymeeking) wrote :

For people who use their notebooks generally as desktop PCs, they may also try to set the "Do nothing on closing lid" option on the BIOS setup. Then turn off the notebook monitor manually using the above suggestion... but this is a cumbersome workaround solution.

Lars Bengtsson (lbengtsson) wrote :

Like Troy I changed the GConf setting, since this is required for 'Do nothing' since this commit:

http://mail.gnome.org/archives/svn-commits-list/2009-July/msg05558.html

with the comment:

/* we only add do nothing in the GUI if the user has explicitly specified this in GConf */

This means that it is only possible to set 'Do nothing' in GConf not in the GUI, but it will be shown i GUI.

With command line I did this:

gconftool-2 --type string --set /apps/gnome-power-manager/buttons/lid_ac "nothing"

tags: added: regression-release
removed: regression-potential
xezekielx (xezekielx) wrote :

Troy's method worked for me, so I wrote a small plugin for Rhythmbox which simply changes the values in gconf-editor to "nothing" when Rhythmbox is playing. If you want to use it, just extract the archive to your ~/.gnome2/rhythmbox/plugins/ folder and activate the plugin in Rhythmbox.

This "regression" affects primarily does take "dock" the laptop, close the
lid and use an external monitor. But if you have an external keyboard and
mouse, which you need if you close the lid!, then you have a simple
solution: touch the mouse and the blank screen is gone. A regression, but
not that much so.

Hope it helps. Best.

Alvaro Novo-

On Sun, Nov 29, 2009 at 7:41 PM, xezekielx <email address hidden> wrote:

> Troy's method worked for me, so I wrote a small plugin for Rhythmbox
> which simply changes the values in gconf-editor to "nothing" when
> Rhythmbox is playing. If you want to use it, just extract the archive to
> your ~/.gnome2/rhythmbox/plugins/ folder and activate the plugin in
> Rhythmbox.
>
> ** Attachment added: "Rhythmbox Laptop Lid plugin"
> http://launchpadlibrarian.net/36235965/rblaptoplid.tar.gz
>
> --
> [Regression] No "do nothing" for laptop lid closed action
> https://bugs.launchpad.net/bugs/416236
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-power-manager” package in Ubuntu: Triaged
>
> Bug description:
> In Power Management Preferences, I noticed that there is no longer a "Do
> Nothing" option for "When laptop lid is closed". This is very inconvenient
> since I like to keep the lid closed and use an external monitor. Obviously
> "suspend", "hibernate", and "shutdown" are bad. "Blank screen" blanks BOTH
> screens, not just the laptop screen.
>
> I seem to recall a "Do Nothing" option in earlier versions. Either that or
> the "Blank screen" option only blanked the laptop internal screen.
>
> Thanks!
>

Yes, it is that much so! This is an awkward and ugly work around, not a solution. Sorry, but... eAHeahe, it's not supposed to be like that ;/

Alan S Milnes (deep64blue) wrote :

This is a huge regression and I can't understand why it is marked as "Low", how do we get the priority raised?

floid (jkanowitz) wrote :

Another 'vote,' to advise that this de-featuring has crept through related gnome-power-preferences options, not just lid-closing:

Some desktop keyboards feature overly-prominent "Suspend" buttons.
The "Do nothing" option has disappeared for suspend button behavior as well.
Sometimes "Suspend" still does not work and it's helpful to be able to avoid foot-shooting until there's time to debug it properly.

It looks like you've bisected this already, but re: the Suspend option, somehow I have two systems cdromupgrade'd to 9.10, one ('CD-only') still offering "Do Nothing", the other (all updates through December 1, 2009) not. I'm not in front of them to check version numbers, but locally machines with 2.28.1-0ubuntu1 all lack it.

[Suspend trouble is a failure to resume on HP Compaq SR1611NX desktops, using the "HP" A8AE-LE "Amberine" motherboard with no added hardware for those who care.]

The GUI option"do nothing" was present on 9.04 and has disappeared on 9.10 with "blank screen", "suspend", "hibernate" and "shut down" remaining. I use the laptop as a blind box with screen, mouse and keyboard plugged in. Please return the GUI option.
I don't know how to modify Gconf files, so have reverted to 9.04.
Is that "regressive".?

ixtos (ixtos) wrote :

Hello people,

there are definitely unresolved issues here. I also use an external monitor and would like to close the laptop lid while working solely with the external monitor. The external monitor has a higher resolution and a differing aspect ratio compared to the laptop screen. So I had to uncheck "mirror monitors" in System/Preferences/Display to have the full resolution for the external monitor available (see other bug reports <https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/299653> and <https://bugs.launchpad.net/gnome-control-center/+bug/351427>).

To "do nothing" when closing the laptop lid, I used Lars Bengtsson's suggestion:
gconftool-2 --type string --set /apps/gnome-power-manager/buttons/lid_ac "nothing"
gconftool-2 --type string --set /apps/gnome-power-manager/buttons/lid_battery "nothing"

After restarting the system to be sure everything is started up as necessary I get the following behavior:
- (ok) System > Preferences > Power Management > On AC power > When laptop lid is closed: do nothing
- (ok) System > Preferences > Power Management > On battery power > When laptop lid is closed: do nothing
When I actually close the laptop lid, I got two behaviors so far:
1) I indeed still see something on the external monitor, but back in the coarse native resolution of my laptop screen.
OR
2) The external monitor remains in its higher resolution, but all panels, windows, and applications are gone as though "mirror monitors" is switched on.

There seems to be a problem at least in this combination of usage:
+ using external monitor
+ laptop screen switched off to get full resolution at external monitor
+ "do nothing" if laptop lid is closed

This is, however, the default usage for many users with external monitors. So I'd encourage to work on this.

ixtos (ixtos) wrote :

Addendum:
When I open the lid again, here is what happens in the cases 1) and 2) described above:

1) laptop screen is switched back on in native resolution, external monitor is switched off (no signal) and has to be re-activated in System > Preferences > Display > "laptop off", "external on"

2) the laptop screen remains switched off and the external monitor works fine again in highest resolution

Interesting: behaviors 1) and 2) alternate when I close and open the lid several times in a row (each time re-activating the external screen after behavior 1)). The Power Management setting remain unaffected on "do nothing" during all this.

ixtos (ixtos) wrote :

This "alternating" problem persists after several reboots. The "do nothing" option, which is still active does not seem to work. Instead closing the lid seems to operate a "switch screen" function as it might be handy for presentations but NOT for working with an external screen.

Workaround works for me, hovewer it should be in Power Manager for sure.

For me, the "do nothing" was available in the power management dialog in karmic.
Now on a fresh install of Lucid alpha 2, it is gone, but it's again available and working after setting the GConf value.
I couldn't yet test the behaviour with an external screen with Lucid.

I believe it's fairly useless to keep the "blank screen" option while deliberately hiding "do nothing" in power manager, as most laptops blank the screen by hardware anyway when the lid is closed.

wolfwitch (wolf-mylunarden) wrote :

I did a fresh install of Karmic on my Dell Latitude and this problem came up. I had a similar problem with my HP netbook. I had previously done an "upgrade" install of Karmic and the "Do Nothing" option wasn't removed from Power Management. It took me awhile to figure out why my external monitor wasn't working right. The command Lars gave fixed it:

gconftool-2 --type string --set /apps/gnome-power-manager/buttons/lid_ac "nothing"

No restart was necessary, and "Do Nothing" is now an option in Power Management. I can close the laptop lid and the external monitor stays on.

komputes (komputes) wrote :

I tested the workaround that Lars gave but unfortunately it does not work for me. It still shifts the screen around on a Dell Mini Inspiron 910 running Karmic.

Edward Lee (tigerfishdaisy) wrote :

Not fixed on Lucid as of yet; Should really have this option included by default in gnome-power-manager. For reference, Windows 7 does have this option (i.e not hidden) in Power Options,

Chris Coulson (chrisccoulson) wrote :

This bug is an upstream one and it would be quite helpful if somebody experiencing it could send the bug the to the people writing the software. You can learn more about how to do this for various upstreams at https://wiki.ubuntu.com/Bugs/Upstream. Thanks in advance!

Changed in gnome-power-manager (Ubuntu):
status: Triaged → Confirmed
Peterson Silva (petersonsilva) wrote :

Chris Coulson, ok, but what about a short-term solution? I am worried that this isn't going to be worked out in Ubuntu until Lucid, which would awful, honestly.

Chris Coulson (chrisccoulson) wrote :

I'm trying to help you by asking you to send it to the people writing the software. The desktop team already has a significant amount of work to do, and this isn't a priority issue. Your best chance of having it fixed is to report it upstream first.

Pablo180 (paultait22) wrote :

This affects me too and is really annoying. Having to keep my laptop lid open is a serious inconvenience for anyone using an external monitor. I can't understand logically why anyone would want to remove the 'Do Nothing' option, there was a reason for it, and that reason hasn't gone away. The Blank Screen option blanks both screens and sometimes it isn't possible to un-blank them without a restart.

This is starting to annoy me with Ubuntu, it seems that development is so concerned with moving on apace that they are no longer getting the basics right, each new release either breaks things that worked previously, or removes useful functions.

Antonio Macchi III (macchi) wrote :

I believe that the priority should be higher for this bug since it affects many laptop users.

AJerman (ajerman) wrote :

Adding myself to the list of people who would like to see this. I'm running 10.04 beta on my MacBook that has a broken screen. I'm running an external 37" monitor on it, and I'd like to be able to keep the lid closed for a few reasons. One, it's not necessary to be open halfway all the time since the laptop screen is broken. Two, even if it wasn't broken, I'm using a 37" screen, I don't need another 13". Three, and this is the important one, if I can keep it closed, I can reboot and the MacBook's boot screen will show on the external monitor only. Since I have to keep it open, the only way to see the startup screen is to close the lid when I reboot, and open it again as soon as I hear the startup sound.

I've used the work around for now, and honestly, it wouldn't be that big of a hassle if I had to do that every time I installed, but this is an option that would be nice to have.

I just saw this on a fresh install of the recently released 10.04 LTS Desktop (32-bit). The workaround listed above by Lars was successful.

Thrift (thrift24) wrote :

This is highly annoying. Using Ubuntu on a laptop connected to a TV means that the lid has to stay open if the user doesn't know to use gedit to modify the power settings. Not exactly ideal for watching videos off a laptop, which I'm sure a lot of users do.

Emily Wind (emilywind) wrote :

This regression is just madness. Just as others have said, it is present and annoying. Making it harder to set basic options like this in Linux is what makes a lot of people choose Mac or Windows. Just saying.

Peterson Silva (petersonsilva) wrote :

@Emily Wind

Exactly what I think!

"... is what makes a lot of people choose Mac or Windows"

... or KDE, which was what I done =P

mike (ovvinate) wrote :

I initially tried gconf-editor and that did not work (under lucid lynx). Using gconftool-2 and restarting finally worked for me. However, this is still a ridiculous bug.

Joe Kislo (joe-k12s) wrote :

It's simple, but incredibly frustrating bugs like this that get ignored for 10+ months (as of now) that make it incredibly difficult to get non-linux users using ubuntu as their main desktop. Most users are not comfortable with gconf-editor, and aren't going to know what to google for to find this bug to figure out the workaround. We're talking about adding an item into a dropdown menu that was removed in an earlier release, lets get this fixed and be done with it.

I am confirming it's still missing on lucid.

Pablo180 (paultait22) wrote :

Getting fed up with having to go into the configuration editor and change the option to 'Do Nothing' every time I wanted to use my laptop with another monitor I took a chance and used the 'Blank Screen' option in the power preferences instead, and this seems to work OK now in Lucid and does the same thing as 'Do Nothing' does.

I am not sure whether this is because I am on battery power (never tried that on Karmic) but selecting the blank screen initially blanks both screens, and then the external monitor comes back on after a few seconds. Sometimes I have to click the switch monitor key on the laptop to select external monitor, but it still works.

So the problem appears to be resolved, for me anyway. But I still think it is a silly problem that should never have happened, why remove 'Do Nothing' if what I presume was meant to replace it 'Blank Screen', wasn't working correctly initially?

papaprinny (eliteinfantry) wrote :

In the course of evaluating an OS to use for a home server on my newly acquired laptop, which I had planned to control using an external monitor and KVM, I ran into this embarrassingly glaring issue. It is obvious to me that Canonical is not interested in supporting major, basic functionality and instead pushes aside enormous bugs if they're not on their roadmap. This is absurd, and I am not interested in enduring Canonical's pursuit of pretty GUIs and lobotomized functionality. I will go with an OS that provides functionality that anyone could reasonably expect from an OS released within the past ten years.

Peterson Silva (petersonsilva) wrote :

@papaprinny go for KDE...?

Select "blank screen", close the lid, and move your mouse or press a key. Problem solved. Yes, it's annoying, but it works fine as if there was a "do nothing option"

Sent from my iPod

On Jun 29, 2010, at 7:40 AM, Spaceport <email address hidden> wrote:

> @papaprinny go for KDE...?
>
> --
> [Regression] No "do nothing" for laptop lid closed action
> https://bugs.launchpad.net/bugs/416236
> You received this bug notification because you are a direct subscriber
> of the bug.

Actually the bug is in the interface, not in the script. So the "good" workaround is to launch this command:
# gconftool-2 --type string --set /apps/gnome-power-manager/buttons/lid_ac "nothing"
Which correctly sets the closing action to "Do nothing". After this is set you will see "Do nothing" in the configuration applet if you re-open it.

Jeffonline (jeffonline) wrote :

I close the lid when i use a external screen. With this bug, i have a black screen. I use ubuntu not to type some workarounds. Fix this bug please in the future release. Thank.

I also vote for upping priority. Highly annoying and -100 pts on usability!

I have the same problem. Can this be resolved please?

telmich (nico-launpad-net) wrote :

Same on maverik and ibm t60

StR (str-strgt) wrote :

Same on Maverik / Dell studio 15

Same on maverik on eeepc 1005 HA. I think this affects all distributions.

Jeffonline (jeffonline) wrote :

Yeah Team ! Fix this bug please ! (more one year later...)

I think the bug #243751 nicely describes how closing the lid should work when external monitor is attached.

Lele Long (schemacs) wrote :

as #13 @Lars Bengtsson said,I also consider this as one regression.Any one to rollback this feature in upstream gnome-power-manager?

Sébastien Bertrand (damocles) wrote :

This bug seems to be related to the three folowing upstream bug in the Gnome Bugzilla (What a mess!) :
- Bug 603570 - "Do Nothing" option for laptop lid close is now missing ;
- Bug 605961 - gnome-power-preferences "when laptop lid is closed" action should include "do nothing" ;
- Bug 638865 - [REGRESSION] gnome-power-manager unconditionally suspends when lid is closed.

I propose this bug for the one hundred paper cut project, it's a really annoying regression…

Dear Sir,

PLEASE remove me from this list.

David Bensimon placed me on this notification list, but I have been unable
to cancel these notifications.

Thank you for this moment of your time.\

Steven Summy

On Mon, Feb 7, 2011 at 3:29 PM, Sébastien Bertrand <email address hidden>wrote:

> This bug seems to be related to the three folowing upstream bug in the
> Gnome Bugzilla (What a mess!) :
> - Bug 603570 - "Do Nothing" option for laptop lid close is now missing ;
> - Bug 605961 - gnome-power-preferences "when laptop lid is closed" action
> should include "do nothing" ;
> - Bug 638865 - [REGRESSION] gnome-power-manager unconditionally suspends
> when lid is closed.
>
> I propose this bug for the one hundred paper cut project, it's a really
> annoying regression…
>
> ** Bug watch added: GNOME Bug Tracker #603570
> https://bugzilla.gnome.org/show_bug.cgi?id=603570
>
> ** Changed in: gnome-power
> Remote watch: GNOME Bug Tracker #605961 => GNOME Bug Tracker #603570
>
> ** Also affects: hundredpapercuts
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/416236
>
> Title:
> [Regression] No "do nothing" for laptop lid closed action
>
> Status in Gnome Powermanager:
> Unknown
> Status in One Hundred Paper Cuts:
> New
> Status in “gnome-power-manager” package in Ubuntu:
> Confirmed
>
> Bug description:
> In Power Management Preferences, I noticed that there is no longer a
> "Do Nothing" option for "When laptop lid is closed". This is very
> inconvenient since I like to keep the lid closed and use an external
> monitor. Obviously "suspend", "hibernate", and "shutdown" are bad.
> "Blank screen" blanks BOTH screens, not just the laptop screen.
>
> I seem to recall a "Do Nothing" option in earlier versions. Either
> that or the "Blank screen" option only blanked the laptop internal
> screen.
>
> Thanks!
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/416236/+subscribe
>

Changed in gnome-power:
importance: Unknown → High
status: Unknown → New

stevesd, you need to manually disable notifications for this list. The option can be found in the right hand panel.

Chris Wilson (notgary) on 2011-02-23
Changed in hundredpapercuts:
status: New → Triaged
importance: Undecided → Low
Vish (vish) wrote :

This issue is fixed in gnome 3.0 .

The option wont be available in the GUI, but "If you have more than one active screen connected to the machine, then we’re going to just disable the internal screen and not suspend"
<http://blogs.gnome.org/hughsie/2011/02/02/is-gnome-3-going-to-melt-your-laptop/>

Changed in hundredpapercuts:
status: Triaged → Fix Committed

Does this mean that I have to buy an additional Monitor to prevent suspending when closing my Notebook?

"Not available in the GUI" implies, at least to me, that there will be
a GConf (GSettings?) key for it, as there is now.

Troy

On Fri, Feb 25, 2011 at 2:02 PM, Thorsten Reinbold
<email address hidden> wrote:
> Does this mean that I have to buy an additional Monitor to prevent
> suspending when closing my Notebook?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/416236
>
> Title:
>  [Regression] No "do nothing" for laptop lid closed action
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/416236/+subscribe
>

This isn't a fix. GNOME is saying they won't fix it.
See the comments on http://afaikblog.wordpress.com/2011/02/03/on-laptop-lids-and-power-settings/ for more discussion.

Changed in hundredpapercuts:
status: Fix Committed → New

For clarification: there are use-cases for an option besides not suspending when an external monitor is attached!

Changed in gnome-power:
importance: High → Unknown
status: New → Unknown
Vish (vish) wrote :

The bug reported here is about the lid close blanking even the external screen.
Which is fixed as per gpm author.
The GUI option will not be exposed, but the option will be available in the gconf/dconf

@Mechanical snail : This is not the bug you are looking for, If you are interested in discussing the change kindly do so in upstream bugzilla with the upstream authors . Changing the bug status here is not going to fix it.

Changed in hundredpapercuts:
status: New → Fix Committed
Changed in gnome-power:
importance: Unknown → Medium
status: Unknown → In Progress

Understood. Somebody incorrectly marked as duplicate.

Changed in gnome-power:
importance: Medium → Unknown
status: In Progress → Unknown
summary: - [Regression] No "do nothing" for laptop lid closed action
+ [Regression] Closing laptop lid should not blank external monitor
Changed in gnome-power:
importance: Unknown → High
status: Unknown → New

Any news on this one?

I'm afraid I still run lucid, so not at this point. Or have there been
lucid updates recently? I'll think about upgrading to natty or oneiric
soon...

On Mon, 2011-07-04 at 10:49 +0000, Philipp C. Heckel wrote:
> Any news on this one?
--
GPG fingerprint: D54D 1AEE B11C CE9B A02B C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/

Sergey Slizovskiy (sereza) wrote :

I have an opposite but related problem with 11.10 Unity (that was NOT present in 11.4 Gnome 2) : when I close the lid with external monitor connected - the laptop does NOT go to sleep as I set in the settings! Shall I separate it in the separate bug report?

On 10/15/2011 08:48 PM, Sergey Slizovskiy wrote:
> I have an opposite but related problem with 11.10 Unity (that was NOT
> present in 11.4 Gnome 2) : when I close the lid with external monitor
> connected - the laptop does NOT go to sleep as I set in the settings!
> Shall I separate it in the separate bug report?
>
Hi, Feel free to file a new bug as I think it was introduced after gnome
was completely removed from latest release of Ubuntu.

Martin Wildam (mwildam) wrote :

See also Bug #390816

And yes, I somehow also have an opposite problem now (desktop lid not going off when closed).

However this bug still seems to happen also. During the last 15 minutes I had weird effects ranging from external monitor going off or displaying as the second monitor (missing the unity bar).

What should I use to configure behaviour if lid is closed?

Chris Wilson (notgary) wrote :

I've tested for this bug using my own laptop and can confirm that this is fixed in 11.10.

Changed in hundredpapercuts:
milestone: none → precise-9-miscellaneous
status: Fix Committed → Fix Released
Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.